
Foreman - Refactor #12892

move rails binaries to /bin directory

12/21/2015 07:01 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Rails   

Target version: 1.11.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2995

  

Description

Rails 4 now ships with /bin directory (see Section 6.1 under http://guides.rubyonrails.org/4_0_release_notes.html).

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Related to Packaging - Bug #14483: Foreman not starting after update to 1.11 ... Closed 04/05/2016

Related to Packaging - Bug #14498: RPM init script launches ~foreman/script/r... Closed 04/06/2016

Associated revisions

Revision 156364ca - 12/21/2015 08:09 AM - Ohad Levy

fixes #12892 - moves rails binaries to Rails.root/bin

this is simply the output of ```rake rails:update:bin```

and deletion of old script/rails.

Revision 15ec3b25 - 12/22/2015 09:24 AM - Dominic Cleal

refs #12892 - package bin/ directory

History

#1 - 12/21/2015 07:02 AM - Ohad Levy

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 12/21/2015 07:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2995 added

#3 - 12/21/2015 09:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 156364cad2a70fa3b6f9918e409fc68819072763.

#4 - 12/21/2015 09:29 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 04/06/2016 04:17 AM - Dominic Cleal

- Related to Bug #14483: Foreman not starting after update to 1.11 on Debian 8.4 added

#6 - 04/06/2016 04:27 AM - Dominic Cleal

- Related to Bug #14498: RPM init script launches ~foreman/script/rails instead of bin/rails added
